#!/usr/bin/env bash
# shellcheck disable=1117 disable=1004 disable=2034 disable=2154

export end="\033[0m"
export black="\033[0;30m"
export blackb="\033[1;30m"
export white="\033[0;37m"
export whiteb="\033[1;37m"
export red="\033[0;31m"
export redb="\033[1;31m"
export green="\033[0;32m"
export greenb="\033[1;32m"
export yellow="\033[0;33m"
export yellowb="\033[1;33m"
export blue="\033[0;34m"
export blueb="\033[1;34m"
export purple="\033[0;35m"
export purpleb="\033[1;35m"
export lightblue="\033[0;36m"
export lightblueb="\033[1;36m"

function black {
  echo -e "${black}${1}${end}"
}
export -f black

function blackb {
  echo -e "${blackb}${1}${end}"
}
export -f blackb

function white {
  echo -e "${white}${1}${end}"
}
export -f white

function whiteb {
  echo -e "${whiteb}${1}${end}"
}
export -f whiteb

function red {
  echo -e "${red}${1}${end}"
}
export -f red

function redb {
  echo -e "${redb}${1}${end}"
}
export -f redb

function green {
  echo -e "${green}${1}${end}"
}
export -f green

function greenb {
  echo -e "${greenb}${1}${end}"
}
export -f greenb

function yellow {
  echo -e "${yellow}${1}${end}"
}
export -f yellow

function yellowb {
  echo -e "${yellowb}${1}${end}"
}
export -f yellowb

function blue {
  echo -e "${blue}${1}${end}"
}
export -f blue

function blueb {
  echo -e "${blueb}${1}${end}"
}
export -f blueb

function purple {
  echo -e "${purple}${1}${end}"
}
export -f purple

function purpleb {
  echo -e "${purpleb}${1}${end}"
}
export -f purpleb

function lightblue {
  echo -e "${lightblue}${1}${end}"
}
export -f lightblue

function lightblueb {
  echo -e "${lightblueb}${1}${end}"
}
export -f lightblueb

function colors {
  black "black"
  blackb "blackb"
  white "white"
  whiteb "whiteb"
  red "red"
  redb "redb"
  green "green"
  greenb "greenb"
  yellow "yellow"
  yellowb "yellowb"
  blue "blue"
  blueb "blueb"
  purple "purple"
  purpleb "purpleb"
  lightblue "lightblue"
  lightblueb "lightblueb"
}
